#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Oct 26 15:09:30 2021

@author: arya.yazdan-panah
"""

import os
import sys
import numpy as np
import nibabel as nib
from tools_cluster import qsub3
from common3 import changeName, init_script, createDir, get_regex
from argparse import ArgumentParser, ArgumentDefaultsHelpFormatter
from termcolor import cprint, colored


FStable = {'0': 'Unknown',
           '1': 'Left-Cerebral-Exterior',
           '2': 'Left-Cerebral-White-Matter',
           '3': 'Left-Cerebral-Cortex',
           '4': 'Left-Lateral-Ventricle',
           '5': 'Left-Inf-Lat-Vent',
           '6': 'Left-Cerebellum-Exterior',
           '7': 'Left-Cerebellum-White-Matter',
           '8': 'Left-Cerebellum-Cortex',
           '9': 'Left-Thalamus',
           '10': 'Left-Thalamus',
           '11': 'Left-Caudate',
           '12': 'Left-Putamen',
           '13': 'Left-Pallidum',
           '14': '3rd-Ventricle',
           '15': '4th-Ventricle',
           '16': 'Brain-Stem',
           '17': 'Left-Hippocampus',
           '18': 'Left-Amygdala',
           '19': 'Left-Insula',
           '20': 'Left-Operculum',
           '21': 'Line-1',
           '22': 'Line-2',
           '23': 'Line-3',
           '24': 'CSF',
           '25': 'Left-Lesion',
           '26': 'Left-Accumbens-area',
           '27': 'Left-Substancia-Nigra',
           '28': 'Left-VentralDC',
           '29': 'Left-undetermined',
           '30': 'Left-vessel',
           '31': 'Left-choroid-plexus',
           '32': 'Left-F3orb',
           '33': 'Left-lOg',
           '34': 'Left-aOg',
           '35': 'Left-mOg',
           '36': 'Left-pOg',
           '37': 'Left-Stellate',
           '38': 'Left-Porg',
           '39': 'Left-Aorg',
           '40': 'Right-Cerebral-Exterior',
           '41': 'Right-Cerebral-White-Matter',
           '42': 'Right-Cerebral-Cortex',
           '43': 'Right-Lateral-Ventricle',
           '44': 'Right-Inf-Lat-Vent',
           '45': 'Right-Cerebellum-Exterior',
           '46': 'Right-Cerebellum-White-Matter',
           '47': 'Right-Cerebellum-Cortex',
           '48': 'Right-Thalamus',
           '49': 'Right-Thalamus',
           '50': 'Right-Caudate',
           '51': 'Right-Putamen',
           '52': 'Right-Pallidum',
           '53': 'Right-Hippocampus',
           '54': 'Right-Amygdala',
           '55': 'Right-Insula',
           '56': 'Right-Operculum',
           '57': 'Right-Lesion',
           '58': 'Right-Accumbens-area',
           '59': 'Right-Substancia-Nigra',
           '60': 'Right-VentralDC',
           '61': 'Right-undetermined',
           '62': 'Right-vessel',
           '63': 'Right-choroid-plexus',
           '64': 'Right-F3orb',
           '65': 'Right-lOg',
           '66': 'Right-aOg',
           '67': 'Right-mOg',
           '68': 'Right-pOg',
           '69': 'Right-Stellate',
           '70': 'Right-Porg',
           '71': 'Right-Aorg',
           '72': '5th-Ventricle',
           '73': 'Left-Interior',
           '74': 'Right-Interior',
           '77': 'WM-hypointensities',
           '78': 'Left-WM-hypointensities',
           '79': 'Right-WM-hypointensities',
           '80': 'non-WM-hypointensities',
           '81': 'Left-non-WM-hypointensities',
           '82': 'Right-non-WM-hypointensities',
           '83': 'Left-F1',
           '84': 'Right-F1',
           '85': 'Optic-Chiasm',
           '192': 'Corpus_Callosum',
           '86': 'Left_future_WMSA',
           '87': 'Right_future_WMSA',
           '88': 'future_WMSA',
           '96': 'Left-Amygdala-Anterior',
           '97': 'Right-Amygdala-Anterior',
           '98': 'Dura',
           '100': 'Left-wm-intensity-abnormality',
           '101': 'Left-caudate-intensity-abnormality',
           '102': 'Left-putamen-intensity-abnormality',
           '103': 'Left-accumbens-intensity-abnormality',
           '104': 'Left-pallidum-intensity-abnormality',
           '105': 'Left-amygdala-intensity-abnormality',
           '106': 'Left-hippocampus-intensity-abnormality',
           '107': 'Left-thalamus-intensity-abnormality',
           '108': 'Left-VDC-intensity-abnormality',
           '109': 'Right-wm-intensity-abnormality',
           '110': 'Right-caudate-intensity-abnormality',
           '111': 'Right-putamen-intensity-abnormality',
           '112': 'Right-accumbens-intensity-abnormality',
           '113': 'Right-pallidum-intensity-abnormality',
           '114': 'Right-amygdala-intensity-abnormality',
           '115': 'Right-hippocampus-intensity-abnormality',
           '116': 'Right-thalamus-intensity-abnormality',
           '117': 'Right-VDC-intensity-abnormality',
           '118': 'Epidermis',
           '119': 'Conn-Tissue',
           '120': 'SC-Fat-Muscle',
           '121': 'Cranium',
           '122': 'CSF-SA',
           '123': 'Muscle',
           '124': 'Ear',
           '125': 'Adipose',
           '126': 'Spinal-Cord',
           '127': 'Soft-Tissue',
           '128': 'Nerve',
           '129': 'Bone',
           '130': 'Air',
           '131': 'Orbital-Fat',
           '132': 'Tongue',
           '133': 'Nasal-Structures',
           '134': 'Globe',
           '135': 'Teeth',
           '136': 'Left-Caudate-Putamen',
           '137': 'Right-Caudate-Putamen',
           '138': 'Left-Claustrum',
           '139': 'Right-Claustrum',
           '140': 'Cornea',
           '142': 'Diploe',
           '143': 'Vitreous-Humor',
           '144': 'Lens',
           '145': 'Aqueous-Humor',
           '146': 'Outer-Table',
           '147': 'Inner-Table',
           '148': 'Periosteum',
           '149': 'Endosteum',
           '150': 'R-C-S',
           '151': 'Iris',
           '152': 'SC-Adipose-Muscle',
           '153': 'SC-Tissue',
           '154': 'Orbital-Adipose',
           '155': 'Left-IntCapsule-Ant',
           '156': 'Right-IntCapsule-Ant',
           '157': 'Left-IntCapsule-Pos',
           '158': 'Right-IntCapsule-Pos',
           '159': 'Left-Cerebral-WM-unmyelinated',
           '160': 'Right-Cerebral-WM-unmyelinated',
           '161': 'Left-Cerebral-WM-myelinated',
           '162': 'Right-Cerebral-WM-myelinated',
           '163': 'Left-Subcortical-Gray-Matter',
           '164': 'Right-Subcortical-Gray-Matter',
           '165': 'Skull',
           '166': 'Posterior-fossa',
           '167': 'Scalp',
           '168': 'Hematoma',
           '169': 'Left-Basal-Ganglia',
           '176': 'Right-Basal-Ganglia',
           '170': 'brainstem',
           '171': 'DCG',
           '172': 'Vermis',
           '173': 'Midbrain',
           '174': 'Pons',
           '175': 'Medulla',
           '177': 'Vermis-White-Matter',
           '178': 'SCP',
           '179': 'Floculus',
           '180': 'Left-Cortical-Dysplasia',
           '181': 'Right-Cortical-Dysplasia',
           '182': 'CblumNodulus',
           '193': 'Left-hippocampal_fissure',
           '194': 'Left-CADG-head',
           '195': 'Left-subiculum',
           '196': 'Left-fimbria',
           '197': 'Right-hippocampal_fissure',
           '198': 'Right-CADG-head',
           '199': 'Right-subiculum',
           '200': 'Right-fimbria',
           '201': 'alveus',
           '202': 'perforant_pathway',
           '203': 'parasubiculum',
           '204': 'presubiculum',
           '205': 'subiculum',
           '206': 'CA1',
           '207': 'CA2',
           '208': 'CA3',
           '209': 'CA4',
           '210': 'GC-DG',
           '211': 'HATA',
           '212': 'fimbria',
           '213': 'lateral_ventricle',
           '214': 'molecular_layer_HP',
           '215': 'hippocampal_fissure',
           '216': 'entorhinal_cortex',
           '217': 'molecular_layer_subiculum',
           '218': 'Amygdala',
           '219': 'Cerebral_White_Matter',
           '220': 'Cerebral_Cortex',
           '221': 'Inf_Lat_Vent',
           '222': 'Perirhinal',
           '223': 'Cerebral_White_Matter_Edge',
           '224': 'Background',
           '225': 'Ectorhinal',
           '226': 'HP_tail',
           '250': 'Fornix',
           '251': 'CC_Posterior',
           '252': 'CC_Mid_Posterior',
           '253': 'CC_Central',
           '254': 'CC_Mid_Anterior',
           '255': 'CC_Anterior',
           '256': 'Voxel-Unchanged',
           '257': 'CSF-ExtraCerebral',
           '258': 'Head-ExtraCerebral',
           '259': 'SkullApprox',
           '260': 'BoneOrAir',
           '261': 'PossibleFluid',
           '262': 'Sinus',
           '263': 'Left-Eustachian',
           '264': 'Right-Eustachian',
           '331': 'Aorta',
           '332': 'Left-Common-IliacA',
           '333': 'Right-Common-IliacA',
           '334': 'Left-External-IliacA',
           '335': 'Right-External-IliacA',
           '336': 'Left-Internal-IliacA',
           '337': 'Right-Internal-IliacA',
           '338': 'Left-Lateral-SacralA',
           '339': 'Right-Lateral-SacralA',
           '340': 'Left-ObturatorA',
           '341': 'Right-ObturatorA',
           '342': 'Left-Internal-PudendalA',
           '343': 'Right-Internal-PudendalA',
           '344': 'Left-UmbilicalA',
           '345': 'Right-UmbilicalA',
           '346': 'Left-Inf-RectalA',
           '347': 'Right-Inf-RectalA',
           '348': 'Left-Common-IliacV',
           '349': 'Right-Common-IliacV',
           '350': 'Left-External-IliacV',
           '351': 'Right-External-IliacV',
           '352': 'Left-Internal-IliacV',
           '353': 'Right-Internal-IliacV',
           '354': 'Left-ObturatorV',
           '355': 'Right-ObturatorV',
           '356': 'Left-Internal-PudendalV',
           '357': 'Right-Internal-PudendalV',
           '358': 'Pos-Lymph',
           '359': 'Neg-Lymph',
           '400': 'V1',
           '401': 'V2',
           '402': 'BA44',
           '403': 'BA45',
           '404': 'BA4a',
           '405': 'BA4p',
           '406': 'BA6',
           '407': 'BA2',
           '408': 'BA1_old',
           '409': 'BAun2',
           '410': 'BA1',
           '411': 'BA2b',
           '412': 'BA3a',
           '413': 'BA3b',
           '414': 'MT',
           '415': 'AIPS_AIP_l',
           '416': 'AIPS_AIP_r',
           '417': 'AIPS_VIP_l',
           '418': 'AIPS_VIP_r',
           '419': 'IPL_PFcm_l',
           '420': 'IPL_PFcm_r',
           '421': 'IPL_PF_l',
           '422': 'IPL_PFm_l',
           '423': 'IPL_PFm_r',
           '424': 'IPL_PFop_l',
           '425': 'IPL_PFop_r',
           '426': 'IPL_PF_r',
           '427': 'IPL_PFt_l',
           '428': 'IPL_PFt_r',
           '429': 'IPL_PGa_l',
           '430': 'IPL_PGa_r',
           '431': 'IPL_PGp_l',
           '432': 'IPL_PGp_r',
           '433': 'Visual_V3d_l',
           '434': 'Visual_V3d_r',
           '435': 'Visual_V4_l',
           '436': 'Visual_V4_r',
           '437': 'Visual_V5_b',
           '438': 'Visual_VP_l',
           '439': 'Visual_VP_r',
           '498': 'wmsa',
           '499': 'other_wmsa',
           '500': 'right_CA2_3',
           '501': 'right_alveus',
           '502': 'right_CA1',
           '503': 'right_fimbria',
           '504': 'right_presubiculum',
           '505': 'right_hippocampal_fissure',
           '506': 'right_CA4_DG',
           '507': 'right_subiculum',
           '508': 'right_fornix',
           '550': 'left_CA2_3',
           '551': 'left_alveus',
           '552': 'left_CA1',
           '553': 'left_fimbria',
           '554': 'left_presubiculum',
           '555': 'left_hippocampal_fissure',
           '556': 'left_CA4_DG',
           '557': 'left_subiculum',
           '558': 'left_fornix',
           '600': 'Tumor',
           '601': 'Cbm_Left_I_IV',
           '602': 'Cbm_Right_I_IV',
           '603': 'Cbm_Left_V',
           '604': 'Cbm_Right_V',
           '605': 'Cbm_Left_VI',
           '606': 'Cbm_Vermis_VI',
           '607': 'Cbm_Right_VI',
           '608': 'Cbm_Left_CrusI',
           '609': 'Cbm_Vermis_CrusI',
           '610': 'Cbm_Right_CrusI',
           '611': 'Cbm_Left_CrusII',
           '612': 'Cbm_Vermis_CrusII',
           '613': 'Cbm_Right_CrusII',
           '614': 'Cbm_Left_VIIb',
           '615': 'Cbm_Vermis_VIIb',
           '616': 'Cbm_Right_VIIb',
           '617': 'Cbm_Left_VIIIa',
           '618': 'Cbm_Vermis_VIIIa',
           '619': 'Cbm_Right_VIIIa',
           '620': 'Cbm_Left_VIIIb',
           '621': 'Cbm_Vermis_VIIIb',
           '622': 'Cbm_Right_VIIIb',
           '623': 'Cbm_Left_IX',
           '624': 'Cbm_Vermis_IX',
           '625': 'Cbm_Right_IX',
           '626': 'Cbm_Left_X',
           '627': 'Cbm_Vermis_X',
           '628': 'Cbm_Right_X',
           '640': 'Cbm_Right_I_V_med',
           '641': 'Cbm_Right_I_V_mid',
           '642': 'Cbm_Right_VI_med',
           '643': 'Cbm_Right_VI_mid',
           '644': 'Cbm_Right_VI_lat',
           '645': 'Cbm_Right_CrusI_med',
           '646': 'Cbm_Right_CrusI_mid',
           '647': 'Cbm_Right_CrusI_lat',
           '648': 'Cbm_Right_CrusII_med',
           '649': 'Cbm_Right_CrusII_mid',
           '650': 'Cbm_Right_CrusII_lat',
           '651': 'Cbm_Right_7med',
           '652': 'Cbm_Right_7mid',
           '653': 'Cbm_Right_7lat',
           '654': 'Cbm_Right_8med',
           '655': 'Cbm_Right_8mid',
           '656': 'Cbm_Right_8lat',
           '657': 'Cbm_Right_PUNs',
           '658': 'Cbm_Right_TONs',
           '659': 'Cbm_Right_FLOs',
           '660': 'Cbm_Left_I_V_med',
           '661': 'Cbm_Left_I_V_mid',
           '662': 'Cbm_Left_VI_med',
           '663': 'Cbm_Left_VI_mid',
           '664': 'Cbm_Left_VI_lat',
           '665': 'Cbm_Left_CrusI_med',
           '666': 'Cbm_Left_CrusI_mid',
           '667': 'Cbm_Left_CrusI_lat',
           '668': 'Cbm_Left_CrusII_med',
           '669': 'Cbm_Left_CrusII_mid',
           '670': 'Cbm_Left_CrusII_lat',
           '671': 'Cbm_Left_7med',
           '672': 'Cbm_Left_7mid',
           '673': 'Cbm_Left_7lat',
           '674': 'Cbm_Left_8med',
           '675': 'Cbm_Left_8mid',
           '676': 'Cbm_Left_8lat',
           '677': 'Cbm_Left_PUNs',
           '678': 'Cbm_Left_TONs',
           '679': 'Cbm_Left_FLOs',
           '690': 'CbmWM_Gyri_Left',
           '691': 'CbmWM_Gyri_Right',
           '701': 'CSF-FSL-FAST',
           '702': 'GrayMatter-FSL-FAST',
           '703': 'WhiteMatter-FSL-FAST',
           '999': 'SUSPICIOUS',
           '1000': 'ctx-lh-unknown',
           '1001': 'ctx-lh-bankssts',
           '1002': 'ctx-lh-caudalanteriorcingulate',
           '1003': 'ctx-lh-caudalmiddlefrontal',
           '1004': 'ctx-lh-corpuscallosum',
           '1005': 'ctx-lh-cuneus',
           '1006': 'ctx-lh-entorhinal',
           '1007': 'ctx-lh-fusiform',
           '1008': 'ctx-lh-inferiorparietal',
           '1009': 'ctx-lh-inferiortemporal',
           '1010': 'ctx-lh-isthmuscingulate',
           '1011': 'ctx-lh-lateraloccipital',
           '1012': 'ctx-lh-lateralorbitofrontal',
           '1013': 'ctx-lh-lingual',
           '1014': 'ctx-lh-medialorbitofrontal',
           '1015': 'ctx-lh-middletemporal',
           '1016': 'ctx-lh-parahippocampal',
           '1017': 'ctx-lh-paracentral',
           '1018': 'ctx-lh-parsopercularis',
           '1019': 'ctx-lh-parsorbitalis',
           '1020': 'ctx-lh-parstriangularis',
           '1021': 'ctx-lh-pericalcarine',
           '1022': 'ctx-lh-postcentral',
           '1023': 'ctx-lh-posteriorcingulate',
           '1024': 'ctx-lh-precentral',
           '1025': 'ctx-lh-precuneus',
           '1026': 'ctx-lh-rostralanteriorcingulate',
           '1027': 'ctx-lh-rostralmiddlefrontal',
           '1028': 'ctx-lh-superiorfrontal',
           '1029': 'ctx-lh-superiorparietal',
           '1030': 'ctx-lh-superiortemporal',
           '1031': 'ctx-lh-supramarginal',
           '1032': 'ctx-lh-frontalpole',
           '1033': 'ctx-lh-temporalpole',
           '1034': 'ctx-lh-transversetemporal',
           '1035': 'ctx-lh-insula',
           '2000': 'ctx-rh-unknown',
           '2001': 'ctx-rh-bankssts',
           '2002': 'ctx-rh-caudalanteriorcingulate',
           '2003': 'ctx-rh-caudalmiddlefrontal',
           '2004': 'ctx-rh-corpuscallosum',
           '2005': 'ctx-rh-cuneus',
           '2006': 'ctx-rh-entorhinal',
           '2007': 'ctx-rh-fusiform',
           '2008': 'ctx-rh-inferiorparietal',
           '2009': 'ctx-rh-inferiortemporal',
           '2010': 'ctx-rh-isthmuscingulate',
           '2011': 'ctx-rh-lateraloccipital',
           '2012': 'ctx-rh-lateralorbitofrontal',
           '2013': 'ctx-rh-lingual',
           '2014': 'ctx-rh-medialorbitofrontal',
           '2015': 'ctx-rh-middletemporal',
           '2016': 'ctx-rh-parahippocampal',
           '2017': 'ctx-rh-paracentral',
           '2018': 'ctx-rh-parsopercularis',
           '2019': 'ctx-rh-parsorbitalis',
           '2020': 'ctx-rh-parstriangularis',
           '2021': 'ctx-rh-pericalcarine',
           '2022': 'ctx-rh-postcentral',
           '2023': 'ctx-rh-posteriorcingulate',
           '2024': 'ctx-rh-precentral',
           '2025': 'ctx-rh-precuneus',
           '2026': 'ctx-rh-rostralanteriorcingulate',
           '2027': 'ctx-rh-rostralmiddlefrontal',
           '2028': 'ctx-rh-superiorfrontal',
           '2029': 'ctx-rh-superiorparietal',
           '2030': 'ctx-rh-superiortemporal',
           '2031': 'ctx-rh-supramarginal',
           '2032': 'ctx-rh-frontalpole',
           '2033': 'ctx-rh-temporalpole',
           '2034': 'ctx-rh-transversetemporal',
           '2035': 'ctx-rh-insula',
           '3000': 'wm-lh-unknown',
           '3001': 'wm-lh-bankssts',
           '3002': 'wm-lh-caudalanteriorcingulate',
           '3003': 'wm-lh-caudalmiddlefrontal',
           '3004': 'wm-lh-corpuscallosum',
           '3005': 'wm-lh-cuneus',
           '3006': 'wm-lh-entorhinal',
           '3007': 'wm-lh-fusiform',
           '3008': 'wm-lh-inferiorparietal',
           '3009': 'wm-lh-inferiortemporal',
           '3010': 'wm-lh-isthmuscingulate',
           '3011': 'wm-lh-lateraloccipital',
           '3012': 'wm-lh-lateralorbitofrontal',
           '3013': 'wm-lh-lingual',
           '3014': 'wm-lh-medialorbitofrontal',
           '3015': 'wm-lh-middletemporal',
           '3016': 'wm-lh-parahippocampal',
           '3017': 'wm-lh-paracentral',
           '3018': 'wm-lh-parsopercularis',
           '3019': 'wm-lh-parsorbitalis',
           '3020': 'wm-lh-parstriangularis',
           '3021': 'wm-lh-pericalcarine',
           '3022': 'wm-lh-postcentral',
           '3023': 'wm-lh-posteriorcingulate',
           '3024': 'wm-lh-precentral',
           '3025': 'wm-lh-precuneus',
           '3026': 'wm-lh-rostralanteriorcingulate',
           '3027': 'wm-lh-rostralmiddlefrontal',
           '3028': 'wm-lh-superiorfrontal',
           '3029': 'wm-lh-superiorparietal',
           '3030': 'wm-lh-superiortemporal',
           '3031': 'wm-lh-supramarginal',
           '3032': 'wm-lh-frontalpole',
           '3033': 'wm-lh-temporalpole',
           '3034': 'wm-lh-transversetemporal',
           '3035': 'wm-lh-insula',
           '4000': 'wm-rh-unknown',
           '4001': 'wm-rh-bankssts',
           '4002': 'wm-rh-caudalanteriorcingulate',
           '4003': 'wm-rh-caudalmiddlefrontal',
           '4004': 'wm-rh-corpuscallosum',
           '4005': 'wm-rh-cuneus',
           '4006': 'wm-rh-entorhinal',
           '4007': 'wm-rh-fusiform',
           '4008': 'wm-rh-inferiorparietal',
           '4009': 'wm-rh-inferiortemporal',
           '4010': 'wm-rh-isthmuscingulate',
           '4011': 'wm-rh-lateraloccipital',
           '4012': 'wm-rh-lateralorbitofrontal',
           '4013': 'wm-rh-lingual',
           '4014': 'wm-rh-medialorbitofrontal',
           '4015': 'wm-rh-middletemporal',
           '4016': 'wm-rh-parahippocampal',
           '4017': 'wm-rh-paracentral',
           '4018': 'wm-rh-parsopercularis',
           '4019': 'wm-rh-parsorbitalis',
           '4020': 'wm-rh-parstriangularis',
           '4021': 'wm-rh-pericalcarine',
           '4022': 'wm-rh-postcentral',
           '4023': 'wm-rh-posteriorcingulate',
           '4024': 'wm-rh-precentral',
           '4025': 'wm-rh-precuneus',
           '4026': 'wm-rh-rostralanteriorcingulate',
           '4027': 'wm-rh-rostralmiddlefrontal',
           '4028': 'wm-rh-superiorfrontal',
           '4029': 'wm-rh-superiorparietal',
           '4030': 'wm-rh-superiortemporal',
           '4031': 'wm-rh-supramarginal',
           '4032': 'wm-rh-frontalpole',
           '4033': 'wm-rh-temporalpole',
           '4034': 'wm-rh-transversetemporal',
           '4035': 'wm-rh-insula',
           '3201': 'wm-lh-frontal-lobe',
           '3203': 'wm-lh-cingulate-lobe',
           '3204': 'wm-lh-occiptal-lobe',
           '3205': 'wm-lh-temporal-lobe',
           '3206': 'wm-lh-parietal-lobe',
           '3207': 'wm-lh-insula-lobe',
           '4201': 'wm-rh-frontal-lobe',
           '4203': 'wm-rh-cingulate-lobe',
           '4204': 'wm-rh-occiptal-lobe',
           '4205': 'wm-rh-temporal-lobe',
           '4206': 'wm-rh-parietal-lobe',
           '4207': 'wm-rh-insula-lobe',
           '1100': 'ctx-lh-Unknown',
           '1101': 'ctx-lh-Corpus_callosum',
           '1102': 'ctx-lh-G_and_S_Insula_ONLY_AVERAGE',
           '1103': 'ctx-lh-G_cingulate-Isthmus',
           '1104': 'ctx-lh-G_cingulate-Main_part',
           '1200': 'ctx-lh-G_cingulate-caudal_ACC',
           '1201': 'ctx-lh-G_cingulate-rostral_ACC',
           '1202': 'ctx-lh-G_cingulate-posterior',
           '1205': 'ctx-lh-S_cingulate-caudal_ACC',
           '1206': 'ctx-lh-S_cingulate-rostral_ACC',
           '1207': 'ctx-lh-S_cingulate-posterior',
           '1210': 'ctx-lh-S_pericallosal-caudal',
           '1211': 'ctx-lh-S_pericallosal-rostral',
           '1212': 'ctx-lh-S_pericallosal-posterior',
           '1105': 'ctx-lh-G_cuneus',
           '1106': 'ctx-lh-G_frontal_inf-Opercular_part',
           '1107': 'ctx-lh-G_frontal_inf-Orbital_part',
           '1108': 'ctx-lh-G_frontal_inf-Triangular_part',
           '1109': 'ctx-lh-G_frontal_middle',
           '1110': 'ctx-lh-G_frontal_superior',
           '1111': 'ctx-lh-G_frontomarginal',
           '1112': 'ctx-lh-G_insular_long',
           '1113': 'ctx-lh-G_insular_short',
           '1114': 'ctx-lh-G_and_S_occipital_inferior',
           '1115': 'ctx-lh-G_occipital_middle',
           '1116': 'ctx-lh-G_occipital_superior',
           '1117': 'ctx-lh-G_occipit-temp_lat-Or_fusiform',
           '1118': 'ctx-lh-G_occipit-temp_med-Lingual_part',
           '1119': 'ctx-lh-G_occipit-temp_med-Parahippocampal_part',
           '1120': 'ctx-lh-G_orbital',
           '1121': 'ctx-lh-G_paracentral',
           '1122': 'ctx-lh-G_parietal_inferior-Angular_part',
           '1123': 'ctx-lh-G_parietal_inferior-Supramarginal_part',
           '1124': 'ctx-lh-G_parietal_superior',
           '1125': 'ctx-lh-G_postcentral',
           '1126': 'ctx-lh-G_precentral',
           '1127': 'ctx-lh-G_precuneus',
           '1128': 'ctx-lh-G_rectus',
           '1129': 'ctx-lh-G_subcallosal',
           '1130': 'ctx-lh-G_subcentral',
           '1131': 'ctx-lh-G_temporal_inferior',
           '1132': 'ctx-lh-G_temporal_middle',
           '1133': 'ctx-lh-G_temp_sup-G_temp_transv_and_interm_S',
           '1134': 'ctx-lh-G_temp_sup-Lateral_aspect',
           '1135': 'ctx-lh-G_temp_sup-Planum_polare',
           '1136': 'ctx-lh-G_temp_sup-Planum_tempolare',
           '1137': 'ctx-lh-G_and_S_transverse_frontopolar',
           '1138': 'ctx-lh-Lat_Fissure-ant_sgt-ramus_horizontal',
           '1139': 'ctx-lh-Lat_Fissure-ant_sgt-ramus_vertical',
           '1140': 'ctx-lh-Lat_Fissure-post_sgt',
           '1141': 'ctx-lh-Medial_wall',
           '1142': 'ctx-lh-Pole_occipital',
           '1143': 'ctx-lh-Pole_temporal',
           '1144': 'ctx-lh-S_calcarine',
           '1145': 'ctx-lh-S_central',
           '1146': 'ctx-lh-S_central_insula',
           '1147': 'ctx-lh-S_cingulate-Main_part_and_Intracingulate',
           '1148': 'ctx-lh-S_cingulate-Marginalis_part',
           '1149': 'ctx-lh-S_circular_insula_anterior',
           '1150': 'ctx-lh-S_circular_insula_inferior',
           '1151': 'ctx-lh-S_circular_insula_superior',
           '1152': 'ctx-lh-S_collateral_transverse_ant',
           '1153': 'ctx-lh-S_collateral_transverse_post',
           '1154': 'ctx-lh-S_frontal_inferior',
           '1155': 'ctx-lh-S_frontal_middle',
           '1156': 'ctx-lh-S_frontal_superior',
           '1157': 'ctx-lh-S_frontomarginal',
           '1158': 'ctx-lh-S_intermedius_primus-Jensen',
           '1159': 'ctx-lh-S_intraparietal-and_Parietal_transverse',
           '1160': 'ctx-lh-S_occipital_anterior',
           '1161': 'ctx-lh-S_occipital_middle_and_Lunatus',
           '1162': 'ctx-lh-S_occipital_superior_and_transversalis',
           '1163': 'ctx-lh-S_occipito-temporal_lateral',
           '1164': 'ctx-lh-S_occipito-temporal_medial_and_S_Lingual',
           '1165': 'ctx-lh-S_orbital-H_shapped',
           '1166': 'ctx-lh-S_orbital_lateral',
           '1167': 'ctx-lh-S_orbital_medial-Or_olfactory',
           '1168': 'ctx-lh-S_paracentral',
           '1169': 'ctx-lh-S_parieto_occipital',
           '1170': 'ctx-lh-S_pericallosal',
           '1171': 'ctx-lh-S_postcentral',
           '1172': 'ctx-lh-S_precentral-Inferior-part',
           '1173': 'ctx-lh-S_precentral-Superior-part',
           '1174': 'ctx-lh-S_subcentral_ant',
           '1175': 'ctx-lh-S_subcentral_post',
           '1176': 'ctx-lh-S_suborbital',
           '1177': 'ctx-lh-S_subparietal',
           '1178': 'ctx-lh-S_supracingulate',
           '1179': 'ctx-lh-S_temporal_inferior',
           '1180': 'ctx-lh-S_temporal_superior',
           '1181': 'ctx-lh-S_temporal_transverse',
           '2100': 'ctx-rh-Unknown',
           '2101': 'ctx-rh-Corpus_callosum',
           '2102': 'ctx-rh-G_and_S_Insula_ONLY_AVERAGE',
           '2103': 'ctx-rh-G_cingulate-Isthmus',
           '2104': 'ctx-rh-G_cingulate-Main_part',
           '2105': 'ctx-rh-G_cuneus',
           '2106': 'ctx-rh-G_frontal_inf-Opercular_part',
           '2107': 'ctx-rh-G_frontal_inf-Orbital_part',
           '2108': 'ctx-rh-G_frontal_inf-Triangular_part',
           '2109': 'ctx-rh-G_frontal_middle',
           '2110': 'ctx-rh-G_frontal_superior',
           '2111': 'ctx-rh-G_frontomarginal',
           '2112': 'ctx-rh-G_insular_long',
           '2113': 'ctx-rh-G_insular_short',
           '2114': 'ctx-rh-G_and_S_occipital_inferior',
           '2115': 'ctx-rh-G_occipital_middle',
           '2116': 'ctx-rh-G_occipital_superior',
           '2117': 'ctx-rh-G_occipit-temp_lat-Or_fusiform',
           '2118': 'ctx-rh-G_occipit-temp_med-Lingual_part',
           '2119': 'ctx-rh-G_occipit-temp_med-Parahippocampal_part',
           '2120': 'ctx-rh-G_orbital',
           '2121': 'ctx-rh-G_paracentral',
           '2122': 'ctx-rh-G_parietal_inferior-Angular_part',
           '2123': 'ctx-rh-G_parietal_inferior-Supramarginal_part',
           '2124': 'ctx-rh-G_parietal_superior',
           '2125': 'ctx-rh-G_postcentral',
           '2126': 'ctx-rh-G_precentral',
           '2127': 'ctx-rh-G_precuneus',
           '2128': 'ctx-rh-G_rectus',
           '2129': 'ctx-rh-G_subcallosal',
           '2130': 'ctx-rh-G_subcentral',
           '2131': 'ctx-rh-G_temporal_inferior',
           '2132': 'ctx-rh-G_temporal_middle',
           '2133': 'ctx-rh-G_temp_sup-G_temp_transv_and_interm_S',
           '2134': 'ctx-rh-G_temp_sup-Lateral_aspect',
           '2135': 'ctx-rh-G_temp_sup-Planum_polare',
           '2136': 'ctx-rh-G_temp_sup-Planum_tempolare',
           '2137': 'ctx-rh-G_and_S_transverse_frontopolar',
           '2138': 'ctx-rh-Lat_Fissure-ant_sgt-ramus_horizontal',
           '2139': 'ctx-rh-Lat_Fissure-ant_sgt-ramus_vertical',
           '2140': 'ctx-rh-Lat_Fissure-post_sgt',
           '2141': 'ctx-rh-Medial_wall',
           '2142': 'ctx-rh-Pole_occipital',
           '2143': 'ctx-rh-Pole_temporal',
           '2144': 'ctx-rh-S_calcarine',
           '2145': 'ctx-rh-S_central',
           '2146': 'ctx-rh-S_central_insula',
           '2147': 'ctx-rh-S_cingulate-Main_part_and_Intracingulate',
           '2148': 'ctx-rh-S_cingulate-Marginalis_part',
           '2149': 'ctx-rh-S_circular_insula_anterior',
           '2150': 'ctx-rh-S_circular_insula_inferior',
           '2151': 'ctx-rh-S_circular_insula_superior',
           '2152': 'ctx-rh-S_collateral_transverse_ant',
           '2153': 'ctx-rh-S_collateral_transverse_post',
           '2154': 'ctx-rh-S_frontal_inferior',
           '2155': 'ctx-rh-S_frontal_middle',
           '2156': 'ctx-rh-S_frontal_superior',
           '2157': 'ctx-rh-S_frontomarginal',
           '2158': 'ctx-rh-S_intermedius_primus-Jensen',
           '2159': 'ctx-rh-S_intraparietal-and_Parietal_transverse',
           '2160': 'ctx-rh-S_occipital_anterior',
           '2161': 'ctx-rh-S_occipital_middle_and_Lunatus',
           '2162': 'ctx-rh-S_occipital_superior_and_transversalis',
           '2163': 'ctx-rh-S_occipito-temporal_lateral',
           '2164': 'ctx-rh-S_occipito-temporal_medial_and_S_Lingual',
           '2165': 'ctx-rh-S_orbital-H_shapped',
           '2166': 'ctx-rh-S_orbital_lateral',
           '2167': 'ctx-rh-S_orbital_medial-Or_olfactory',
           '2168': 'ctx-rh-S_paracentral',
           '2169': 'ctx-rh-S_parieto_occipital',
           '2170': 'ctx-rh-S_pericallosal',
           '2171': 'ctx-rh-S_postcentral',
           '2172': 'ctx-rh-S_precentral-Inferior-part',
           '2173': 'ctx-rh-S_precentral-Superior-part',
           '2174': 'ctx-rh-S_subcentral_ant',
           '2175': 'ctx-rh-S_subcentral_post',
           '2176': 'ctx-rh-S_suborbital',
           '2177': 'ctx-rh-S_subparietal',
           '2178': 'ctx-rh-S_supracingulate',
           '2179': 'ctx-rh-S_temporal_inferior',
           '2180': 'ctx-rh-S_temporal_superior',
           '2181': 'ctx-rh-S_temporal_transverse',
           '2200': 'ctx-rh-G_cingulate-caudal_ACC',
           '2201': 'ctx-rh-G_cingulate-rostral_ACC',
           '2202': 'ctx-rh-G_cingulate-posterior',
           '2205': 'ctx-rh-S_cingulate-caudal_ACC',
           '2206': 'ctx-rh-S_cingulate-rostral_ACC',
           '2207': 'ctx-rh-S_cingulate-posterior',
           '2210': 'ctx-rh-S_pericallosal-caudal',
           '2211': 'ctx-rh-S_pericallosal-rostral',
           '2212': 'ctx-rh-S_pericallosal-posterior',
           '3100': 'wm-lh-Unknown',
           '3101': 'wm-lh-Corpus_callosum',
           '3102': 'wm-lh-G_and_S_Insula_ONLY_AVERAGE',
           '3103': 'wm-lh-G_cingulate-Isthmus',
           '3104': 'wm-lh-G_cingulate-Main_part',
           '3105': 'wm-lh-G_cuneus',
           '3106': 'wm-lh-G_frontal_inf-Opercular_part',
           '3107': 'wm-lh-G_frontal_inf-Orbital_part',
           '3108': 'wm-lh-G_frontal_inf-Triangular_part',
           '3109': 'wm-lh-G_frontal_middle',
           '3110': 'wm-lh-G_frontal_superior',
           '3111': 'wm-lh-G_frontomarginal',
           '3112': 'wm-lh-G_insular_long',
           '3113': 'wm-lh-G_insular_short',
           '3114': 'wm-lh-G_and_S_occipital_inferior',
           '3115': 'wm-lh-G_occipital_middle',
           '3116': 'wm-lh-G_occipital_superior',
           '3117': 'wm-lh-G_occipit-temp_lat-Or_fusiform',
           '3118': 'wm-lh-G_occipit-temp_med-Lingual_part',
           '3119': 'wm-lh-G_occipit-temp_med-Parahippocampal_part',
           '3120': 'wm-lh-G_orbital',
           '3121': 'wm-lh-G_paracentral',
           '3122': 'wm-lh-G_parietal_inferior-Angular_part',
           '3123': 'wm-lh-G_parietal_inferior-Supramarginal_part',
           '3124': 'wm-lh-G_parietal_superior',
           '3125': 'wm-lh-G_postcentral',
           '3126': 'wm-lh-G_precentral',
           '3127': 'wm-lh-G_precuneus',
           '3128': 'wm-lh-G_rectus',
           '3129': 'wm-lh-G_subcallosal',
           '3130': 'wm-lh-G_subcentral',
           '3131': 'wm-lh-G_temporal_inferior',
           '3132': 'wm-lh-G_temporal_middle',
           '3133': 'wm-lh-G_temp_sup-G_temp_transv_and_interm_S',
           '3134': 'wm-lh-G_temp_sup-Lateral_aspect',
           '3135': 'wm-lh-G_temp_sup-Planum_polare',
           '3136': 'wm-lh-G_temp_sup-Planum_tempolare',
           '3137': 'wm-lh-G_and_S_transverse_frontopolar',
           '3138': 'wm-lh-Lat_Fissure-ant_sgt-ramus_horizontal',
           '3139': 'wm-lh-Lat_Fissure-ant_sgt-ramus_vertical',
           '3140': 'wm-lh-Lat_Fissure-post_sgt',
           '3141': 'wm-lh-Medial_wall',
           '3142': 'wm-lh-Pole_occipital',
           '3143': 'wm-lh-Pole_temporal',
           '3144': 'wm-lh-S_calcarine',
           '3145': 'wm-lh-S_central',
           '3146': 'wm-lh-S_central_insula',
           '3147': 'wm-lh-S_cingulate-Main_part_and_Intracingulate',
           '3148': 'wm-lh-S_cingulate-Marginalis_part',
           '3149': 'wm-lh-S_circular_insula_anterior',
           '3150': 'wm-lh-S_circular_insula_inferior',
           '3151': 'wm-lh-S_circular_insula_superior',
           '3152': 'wm-lh-S_collateral_transverse_ant',
           '3153': 'wm-lh-S_collateral_transverse_post',
           '3154': 'wm-lh-S_frontal_inferior',
           '3155': 'wm-lh-S_frontal_middle',
           '3156': 'wm-lh-S_frontal_superior',
           '3157': 'wm-lh-S_frontomarginal',
           '3158': 'wm-lh-S_intermedius_primus-Jensen',
           '3159': 'wm-lh-S_intraparietal-and_Parietal_transverse',
           '3160': 'wm-lh-S_occipital_anterior',
           '3161': 'wm-lh-S_occipital_middle_and_Lunatus',
           '3162': 'wm-lh-S_occipital_superior_and_transversalis',
           '3163': 'wm-lh-S_occipito-temporal_lateral',
           '3164': 'wm-lh-S_occipito-temporal_medial_and_S_Lingual',
           '3165': 'wm-lh-S_orbital-H_shapped',
           '3166': 'wm-lh-S_orbital_lateral',
           '3167': 'wm-lh-S_orbital_medial-Or_olfactory',
           '3168': 'wm-lh-S_paracentral',
           '3169': 'wm-lh-S_parieto_occipital',
           '3170': 'wm-lh-S_pericallosal',
           '3171': 'wm-lh-S_postcentral',
           '3172': 'wm-lh-S_precentral-Inferior-part',
           '3173': 'wm-lh-S_precentral-Superior-part',
           '3174': 'wm-lh-S_subcentral_ant',
           '3175': 'wm-lh-S_subcentral_post',
           '3176': 'wm-lh-S_suborbital',
           '3177': 'wm-lh-S_subparietal',
           '3178': 'wm-lh-S_supracingulate',
           '3179': 'wm-lh-S_temporal_inferior',
           '3180': 'wm-lh-S_temporal_superior',
           '3181': 'wm-lh-S_temporal_transverse',
           '4100': 'wm-rh-Unknown',
           '4101': 'wm-rh-Corpus_callosum',
           '4102': 'wm-rh-G_and_S_Insula_ONLY_AVERAGE',
           '4103': 'wm-rh-G_cingulate-Isthmus',
           '4104': 'wm-rh-G_cingulate-Main_part',
           '4105': 'wm-rh-G_cuneus',
           '4106': 'wm-rh-G_frontal_inf-Opercular_part',
           '4107': 'wm-rh-G_frontal_inf-Orbital_part',
           '4108': 'wm-rh-G_frontal_inf-Triangular_part',
           '4109': 'wm-rh-G_frontal_middle',
           '4110': 'wm-rh-G_frontal_superior',
           '4111': 'wm-rh-G_frontomarginal',
           '4112': 'wm-rh-G_insular_long',
           '4113': 'wm-rh-G_insular_short',
           '4114': 'wm-rh-G_and_S_occipital_inferior',
           '4115': 'wm-rh-G_occipital_middle',
           '4116': 'wm-rh-G_occipital_superior',
           '4117': 'wm-rh-G_occipit-temp_lat-Or_fusiform',
           '4118': 'wm-rh-G_occipit-temp_med-Lingual_part',
           '4119': 'wm-rh-G_occipit-temp_med-Parahippocampal_part',
           '4120': 'wm-rh-G_orbital',
           '4121': 'wm-rh-G_paracentral',
           '4122': 'wm-rh-G_parietal_inferior-Angular_part',
           '4123': 'wm-rh-G_parietal_inferior-Supramarginal_part',
           '4124': 'wm-rh-G_parietal_superior',
           '4125': 'wm-rh-G_postcentral',
           '4126': 'wm-rh-G_precentral',
           '4127': 'wm-rh-G_precuneus',
           '4128': 'wm-rh-G_rectus',
           '4129': 'wm-rh-G_subcallosal',
           '4130': 'wm-rh-G_subcentral',
           '4131': 'wm-rh-G_temporal_inferior',
           '4132': 'wm-rh-G_temporal_middle',
           '4133': 'wm-rh-G_temp_sup-G_temp_transv_and_interm_S',
           '4134': 'wm-rh-G_temp_sup-Lateral_aspect',
           '4135': 'wm-rh-G_temp_sup-Planum_polare',
           '4136': 'wm-rh-G_temp_sup-Planum_tempolare',
           '4137': 'wm-rh-G_and_S_transverse_frontopolar',
           '4138': 'wm-rh-Lat_Fissure-ant_sgt-ramus_horizontal',
           '4139': 'wm-rh-Lat_Fissure-ant_sgt-ramus_vertical',
           '4140': 'wm-rh-Lat_Fissure-post_sgt',
           '4141': 'wm-rh-Medial_wall',
           '4142': 'wm-rh-Pole_occipital',
           '4143': 'wm-rh-Pole_temporal',
           '4144': 'wm-rh-S_calcarine',
           '4145': 'wm-rh-S_central',
           '4146': 'wm-rh-S_central_insula',
           '4147': 'wm-rh-S_cingulate-Main_part_and_Intracingulate',
           '4148': 'wm-rh-S_cingulate-Marginalis_part',
           '4149': 'wm-rh-S_circular_insula_anterior',
           '4150': 'wm-rh-S_circular_insula_inferior',
           '4151': 'wm-rh-S_circular_insula_superior',
           '4152': 'wm-rh-S_collateral_transverse_ant',
           '4153': 'wm-rh-S_collateral_transverse_post',
           '4154': 'wm-rh-S_frontal_inferior',
           '4155': 'wm-rh-S_frontal_middle',
           '4156': 'wm-rh-S_frontal_superior',
           '4157': 'wm-rh-S_frontomarginal',
           '4158': 'wm-rh-S_intermedius_primus-Jensen',
           '4159': 'wm-rh-S_intraparietal-and_Parietal_transverse',
           '4160': 'wm-rh-S_occipital_anterior',
           '4161': 'wm-rh-S_occipital_middle_and_Lunatus',
           '4162': 'wm-rh-S_occipital_superior_and_transversalis',
           '4163': 'wm-rh-S_occipito-temporal_lateral',
           '4164': 'wm-rh-S_occipito-temporal_medial_and_S_Lingual',
           '4165': 'wm-rh-S_orbital-H_shapped',
           '4166': 'wm-rh-S_orbital_lateral',
           '4167': 'wm-rh-S_orbital_medial-Or_olfactory',
           '4168': 'wm-rh-S_paracentral',
           '4169': 'wm-rh-S_parieto_occipital',
           '4170': 'wm-rh-S_pericallosal',
           '4171': 'wm-rh-S_postcentral',
           '4172': 'wm-rh-S_precentral-Inferior-part',
           '4173': 'wm-rh-S_precentral-Superior-part',
           '4174': 'wm-rh-S_subcentral_ant',
           '4175': 'wm-rh-S_subcentral_post',
           '4176': 'wm-rh-S_suborbital',
           '4177': 'wm-rh-S_subparietal',
           '4178': 'wm-rh-S_supracingulate',
           '4179': 'wm-rh-S_temporal_inferior',
           '4180': 'wm-rh-S_temporal_superior',
           '4181': 'wm-rh-S_temporal_transverse',
           '5001': 'Left-UnsegmentedWhiteMatter',
           '5002': 'Right-UnsegmentedWhiteMatter',
           '5100': 'fmajor',
           '5101': 'fminor',
           '5102': 'lh.atr',
           '5103': 'lh.cab',
           '5104': 'lh.ccg',
           '5105': 'lh.cst',
           '5106': 'lh.ilf',
           '5107': 'lh.slfp',
           '5108': 'lh.slft',
           '5109': 'lh.unc',
           '5110': 'rh.atr',
           '5111': 'rh.cab',
           '5112': 'rh.ccg',
           '5113': 'rh.cst',
           '5114': 'rh.ilf',
           '5115': 'rh.slfp',
           '5116': 'rh.slft',
           '5117': 'rh.unc',
           '5200': 'CC-ForcepsMajor',
           '5201': 'CC-ForcepsMinor',
           '5202': 'LAntThalRadiation',
           '5203': 'LCingulumAngBundle',
           '5204': 'LCingulumCingGyrus',
           '5205': 'LCorticospinalTract',
           '5206': 'LInfLongFas',
           '5207': 'LSupLongFasParietal',
           '5208': 'LSupLongFasTemporal',
           '5209': 'LUncinateFas',
           '5210': 'RAntThalRadiation',
           '5211': 'RCingulumAngBundle',
           '5212': 'RCingulumCingGyrus',
           '5213': 'RCorticospinalTract',
           '5214': 'RInfLongFas',
           '5215': 'RSupLongFasParietal',
           '5216': 'RSupLongFasTemporal',
           '5217': 'RUncinateFas',
           '6000': 'CST-orig',
           '6001': 'CST-hammer',
           '6002': 'CST-CVS',
           '6003': 'CST-flirt',
           '6010': 'Left-SLF1',
           '6020': 'Right-SLF1',
           '6030': 'Left-SLF3',
           '6040': 'Right-SLF3',
           '6050': 'Left-CST',
           '6060': 'Right-CST',
           '6070': 'Left-SLF2',
           '6080': 'Right-SLF2',
           '7001': 'Lateral-nucleus',
           '7002': 'Basolateral-nucleus',
           '7003': 'Basal-nucleus',
           '7004': 'Centromedial-nucleus',
           '7005': 'Central-nucleus',
           '7006': 'Medial-nucleus',
           '7007': 'Cortical-nucleus',
           '7008': 'Accessory-Basal-nucleus',
           '7009': 'Corticoamygdaloid-transitio',
           '7010': 'Anterior-amygdaloid-area-AAA',
           '7011': 'Fusion-amygdala-HP-FAH',
           '7012': 'Hippocampal-amygdala-transition-HATA',
           '7013': 'Endopiriform-nucleus',
           '7014': 'Lateral-nucleus-olfactory-tract',
           '7015': 'Paralaminar-nucleus',
           '7016': 'Intercalated-nucleus',
           '7017': 'Prepiriform-cortex',
           '7018': 'Periamygdaloid-cortex',
           '7019': 'Envelope-Amygdala',
           '7020': 'Extranuclear-Amydala',
           '7100': 'Brainstem-inferior-colliculus',
           '7101': 'Brainstem-cochlear-nucleus',
           '8001': 'Thalamus-Anterior',
           '8002': 'Thalamus-Ventral-anterior',
           '8003': 'Thalamus-Lateral-dorsal',
           '8004': 'Thalamus-Lateral-posterior',
           '8005': 'Thalamus-Ventral-lateral',
           '8006': 'Thalamus-Ventral-posterior-medial',
           '8007': 'Thalamus-Ventral-posterior-lateral',
           '8008': 'Thalamus-intralaminar',
           '8009': 'Thalamus-centromedian',
           '8010': 'Thalamus-mediodorsal',
           '8011': 'Thalamus-medial',
           '8012': 'Thalamus-pulvinar',
           '8013': 'Thalamus-lateral-geniculate',
           '8014': 'Thalamus-medial-geniculate',
           '9000': 'ctx-lh-prefrontal',
           '9001': 'ctx-lh-primary-motor',
           '9002': 'ctx-lh-premotor',
           '9003': 'ctx-lh-temporal',
           '9004': 'ctx-lh-posterior-parietal',
           '9005': 'ctx-lh-prim-sec-somatosensory',
           '9006': 'ctx-lh-occipital',
           '9500': 'ctx-rh-prefrontal',
           '9501': 'ctx-rh-primary-motor',
           '9502': 'ctx-rh-premotor',
           '9503': 'ctx-rh-temporal',
           '9504': 'ctx-rh-posterior-parietal',
           '9505': 'ctx-rh-prim-sec-somatosensory',
           '9506': 'ctx-rh-occipital',
           '11100': 'ctx_lh_Unknown',
           '11101': 'ctx_lh_G_and_S_frontomargin',
           '11102': 'ctx_lh_G_and_S_occipital_inf',
           '11103': 'ctx_lh_G_and_S_paracentral',
           '11104': 'ctx_lh_G_and_S_subcentral',
           '11105': 'ctx_lh_G_and_S_transv_frontopol',
           '11106': 'ctx_lh_G_and_S_cingul-Ant',
           '11107': 'ctx_lh_G_and_S_cingul-Mid-Ant',
           '11108': 'ctx_lh_G_and_S_cingul-Mid-Post',
           '11109': 'ctx_lh_G_cingul-Post-dorsal',
           '11110': 'ctx_lh_G_cingul-Post-ventral',
           '11111': 'ctx_lh_G_cuneus',
           '11112': 'ctx_lh_G_front_inf-Opercular',
           '11113': 'ctx_lh_G_front_inf-Orbital',
           '11114': 'ctx_lh_G_front_inf-Triangul',
           '11115': 'ctx_lh_G_front_middle',
           '11116': 'ctx_lh_G_front_sup',
           '11117': 'ctx_lh_G_Ins_lg_and_S_cent_ins',
           '11118': 'ctx_lh_G_insular_short',
           '11119': 'ctx_lh_G_occipital_middle',
           '11120': 'ctx_lh_G_occipital_sup',
           '11121': 'ctx_lh_G_oc-temp_lat-fusifor',
           '11122': 'ctx_lh_G_oc-temp_med-Lingual',
           '11123': 'ctx_lh_G_oc-temp_med-Parahip',
           '11124': 'ctx_lh_G_orbital',
           '11125': 'ctx_lh_G_pariet_inf-Angular',
           '11126': 'ctx_lh_G_pariet_inf-Supramar',
           '11127': 'ctx_lh_G_parietal_sup',
           '11128': 'ctx_lh_G_postcentral',
           '11129': 'ctx_lh_G_precentral',
           '11130': 'ctx_lh_G_precuneus',
           '11131': 'ctx_lh_G_rectus',
           '11132': 'ctx_lh_G_subcallosal',
           '11133': 'ctx_lh_G_temp_sup-G_T_transv',
           '11134': 'ctx_lh_G_temp_sup-Lateral',
           '11135': 'ctx_lh_G_temp_sup-Plan_polar',
           '11136': 'ctx_lh_G_temp_sup-Plan_tempo',
           '11137': 'ctx_lh_G_temporal_inf',
           '11138': 'ctx_lh_G_temporal_middle',
           '11139': 'ctx_lh_Lat_Fis-ant-Horizont',
           '11140': 'ctx_lh_Lat_Fis-ant-Vertical',
           '11141': 'ctx_lh_Lat_Fis-post',
           '11142': 'ctx_lh_Medial_wall',
           '11143': 'ctx_lh_Pole_occipital',
           '11144': 'ctx_lh_Pole_temporal',
           '11145': 'ctx_lh_S_calcarine',
           '11146': 'ctx_lh_S_central',
           '11147': 'ctx_lh_S_cingul-Marginalis',
           '11148': 'ctx_lh_S_circular_insula_ant',
           '11149': 'ctx_lh_S_circular_insula_inf',
           '11150': 'ctx_lh_S_circular_insula_sup',
           '11151': 'ctx_lh_S_collat_transv_ant',
           '11152': 'ctx_lh_S_collat_transv_post',
           '11153': 'ctx_lh_S_front_inf',
           '11154': 'ctx_lh_S_front_middle',
           '11155': 'ctx_lh_S_front_sup',
           '11156': 'ctx_lh_S_interm_prim-Jensen',
           '11157': 'ctx_lh_S_intrapariet_and_P_trans',
           '11158': 'ctx_lh_S_oc_middle_and_Lunatus',
           '11159': 'ctx_lh_S_oc_sup_and_transversal',
           '11160': 'ctx_lh_S_occipital_ant',
           '11161': 'ctx_lh_S_oc-temp_lat',
           '11162': 'ctx_lh_S_oc-temp_med_and_Lingual',
           '11163': 'ctx_lh_S_orbital_lateral',
           '11164': 'ctx_lh_S_orbital_med-olfact',
           '11165': 'ctx_lh_S_orbital-H_Shaped',
           '11166': 'ctx_lh_S_parieto_occipital',
           '11167': 'ctx_lh_S_pericallosal',
           '11168': 'ctx_lh_S_postcentral',
           '11169': 'ctx_lh_S_precentral-inf-part',
           '11170': 'ctx_lh_S_precentral-sup-part',
           '11171': 'ctx_lh_S_suborbital',
           '11172': 'ctx_lh_S_subparietal',
           '11173': 'ctx_lh_S_temporal_inf',
           '11174': 'ctx_lh_S_temporal_sup',
           '11175': 'ctx_lh_S_temporal_transverse',
           '12100': 'ctx_rh_Unknown',
           '12101': 'ctx_rh_G_and_S_frontomargin',
           '12102': 'ctx_rh_G_and_S_occipital_inf',
           '12103': 'ctx_rh_G_and_S_paracentral',
           '12104': 'ctx_rh_G_and_S_subcentral',
           '12105': 'ctx_rh_G_and_S_transv_frontopol',
           '12106': 'ctx_rh_G_and_S_cingul-Ant',
           '12107': 'ctx_rh_G_and_S_cingul-Mid-Ant',
           '12108': 'ctx_rh_G_and_S_cingul-Mid-Post',
           '12109': 'ctx_rh_G_cingul-Post-dorsal',
           '12110': 'ctx_rh_G_cingul-Post-ventral',
           '12111': 'ctx_rh_G_cuneus',
           '12112': 'ctx_rh_G_front_inf-Opercular',
           '12113': 'ctx_rh_G_front_inf-Orbital',
           '12114': 'ctx_rh_G_front_inf-Triangul',
           '12115': 'ctx_rh_G_front_middle',
           '12116': 'ctx_rh_G_front_sup',
           '12117': 'ctx_rh_G_Ins_lg_and_S_cent_ins',
           '12118': 'ctx_rh_G_insular_short',
           '12119': 'ctx_rh_G_occipital_middle',
           '12120': 'ctx_rh_G_occipital_sup',
           '12121': 'ctx_rh_G_oc-temp_lat-fusifor',
           '12122': 'ctx_rh_G_oc-temp_med-Lingual',
           '12123': 'ctx_rh_G_oc-temp_med-Parahip',
           '12124': 'ctx_rh_G_orbital',
           '12125': 'ctx_rh_G_pariet_inf-Angular',
           '12126': 'ctx_rh_G_pariet_inf-Supramar',
           '12127': 'ctx_rh_G_parietal_sup',
           '12128': 'ctx_rh_G_postcentral',
           '12129': 'ctx_rh_G_precentral',
           '12130': 'ctx_rh_G_precuneus',
           '12131': 'ctx_rh_G_rectus',
           '12132': 'ctx_rh_G_subcallosal',
           '12133': 'ctx_rh_G_temp_sup-G_T_transv',
           '12134': 'ctx_rh_G_temp_sup-Lateral',
           '12135': 'ctx_rh_G_temp_sup-Plan_polar',
           '12136': 'ctx_rh_G_temp_sup-Plan_tempo',
           '12137': 'ctx_rh_G_temporal_inf',
           '12138': 'ctx_rh_G_temporal_middle',
           '12139': 'ctx_rh_Lat_Fis-ant-Horizont',
           '12140': 'ctx_rh_Lat_Fis-ant-Vertical',
           '12141': 'ctx_rh_Lat_Fis-post',
           '12142': 'ctx_rh_Medial_wall',
           '12143': 'ctx_rh_Pole_occipital',
           '12144': 'ctx_rh_Pole_temporal',
           '12145': 'ctx_rh_S_calcarine',
           '12146': 'ctx_rh_S_central',
           '12147': 'ctx_rh_S_cingul-Marginalis',
           '12148': 'ctx_rh_S_circular_insula_ant',
           '12149': 'ctx_rh_S_circular_insula_inf',
           '12150': 'ctx_rh_S_circular_insula_sup',
           '12151': 'ctx_rh_S_collat_transv_ant',
           '12152': 'ctx_rh_S_collat_transv_post',
           '12153': 'ctx_rh_S_front_inf',
           '12154': 'ctx_rh_S_front_middle',
           '12155': 'ctx_rh_S_front_sup',
           '12156': 'ctx_rh_S_interm_prim-Jensen',
           '12157': 'ctx_rh_S_intrapariet_and_P_trans',
           '12158': 'ctx_rh_S_oc_middle_and_Lunatus',
           '12159': 'ctx_rh_S_oc_sup_and_transversal',
           '12160': 'ctx_rh_S_occipital_ant',
           '12161': 'ctx_rh_S_oc-temp_lat',
           '12162': 'ctx_rh_S_oc-temp_med_and_Lingual',
           '12163': 'ctx_rh_S_orbital_lateral',
           '12164': 'ctx_rh_S_orbital_med-olfact',
           '12165': 'ctx_rh_S_orbital-H_Shaped',
           '12166': 'ctx_rh_S_parieto_occipital',
           '12167': 'ctx_rh_S_pericallosal',
           '12168': 'ctx_rh_S_postcentral',
           '12169': 'ctx_rh_S_precentral-inf-part',
           '12170': 'ctx_rh_S_precentral-sup-part',
           '12171': 'ctx_rh_S_suborbital',
           '12172': 'ctx_rh_S_subparietal',
           '12173': 'ctx_rh_S_temporal_inf',
           '12174': 'ctx_rh_S_temporal_sup',
           '12175': 'ctx_rh_S_temporal_transverse',
           '13100': 'wm_lh_Unknown',
           '13101': 'wm_lh_G_and_S_frontomargin',
           '13102': 'wm_lh_G_and_S_occipital_inf',
           '13103': 'wm_lh_G_and_S_paracentral',
           '13104': 'wm_lh_G_and_S_subcentral',
           '13105': 'wm_lh_G_and_S_transv_frontopol',
           '13106': 'wm_lh_G_and_S_cingul-Ant',
           '13107': 'wm_lh_G_and_S_cingul-Mid-Ant',
           '13108': 'wm_lh_G_and_S_cingul-Mid-Post',
           '13109': 'wm_lh_G_cingul-Post-dorsal',
           '13110': 'wm_lh_G_cingul-Post-ventral',
           '13111': 'wm_lh_G_cuneus',
           '13112': 'wm_lh_G_front_inf-Opercular',
           '13113': 'wm_lh_G_front_inf-Orbital',
           '13114': 'wm_lh_G_front_inf-Triangul',
           '13115': 'wm_lh_G_front_middle',
           '13116': 'wm_lh_G_front_sup',
           '13117': 'wm_lh_G_Ins_lg_and_S_cent_ins',
           '13118': 'wm_lh_G_insular_short',
           '13119': 'wm_lh_G_occipital_middle',
           '13120': 'wm_lh_G_occipital_sup',
           '13121': 'wm_lh_G_oc-temp_lat-fusifor',
           '13122': 'wm_lh_G_oc-temp_med-Lingual',
           '13123': 'wm_lh_G_oc-temp_med-Parahip',
           '13124': 'wm_lh_G_orbital',
           '13125': 'wm_lh_G_pariet_inf-Angular',
           '13126': 'wm_lh_G_pariet_inf-Supramar',
           '13127': 'wm_lh_G_parietal_sup',
           '13128': 'wm_lh_G_postcentral',
           '13129': 'wm_lh_G_precentral',
           '13130': 'wm_lh_G_precuneus',
           '13131': 'wm_lh_G_rectus',
           '13132': 'wm_lh_G_subcallosal',
           '13133': 'wm_lh_G_temp_sup-G_T_transv',
           '13134': 'wm_lh_G_temp_sup-Lateral',
           '13135': 'wm_lh_G_temp_sup-Plan_polar',
           '13136': 'wm_lh_G_temp_sup-Plan_tempo',
           '13137': 'wm_lh_G_temporal_inf',
           '13138': 'wm_lh_G_temporal_middle',
           '13139': 'wm_lh_Lat_Fis-ant-Horizont',
           '13140': 'wm_lh_Lat_Fis-ant-Vertical',
           '13141': 'wm_lh_Lat_Fis-post',
           '13142': 'wm_lh_Medial_wall',
           '13143': 'wm_lh_Pole_occipital',
           '13144': 'wm_lh_Pole_temporal',
           '13145': 'wm_lh_S_calcarine',
           '13146': 'wm_lh_S_central',
           '13147': 'wm_lh_S_cingul-Marginalis',
           '13148': 'wm_lh_S_circular_insula_ant',
           '13149': 'wm_lh_S_circular_insula_inf',
           '13150': 'wm_lh_S_circular_insula_sup',
           '13151': 'wm_lh_S_collat_transv_ant',
           '13152': 'wm_lh_S_collat_transv_post',
           '13153': 'wm_lh_S_front_inf',
           '13154': 'wm_lh_S_front_middle',
           '13155': 'wm_lh_S_front_sup',
           '13156': 'wm_lh_S_interm_prim-Jensen',
           '13157': 'wm_lh_S_intrapariet_and_P_trans',
           '13158': 'wm_lh_S_oc_middle_and_Lunatus',
           '13159': 'wm_lh_S_oc_sup_and_transversal',
           '13160': 'wm_lh_S_occipital_ant',
           '13161': 'wm_lh_S_oc-temp_lat',
           '13162': 'wm_lh_S_oc-temp_med_and_Lingual',
           '13163': 'wm_lh_S_orbital_lateral',
           '13164': 'wm_lh_S_orbital_med-olfact',
           '13165': 'wm_lh_S_orbital-H_Shaped',
           '13166': 'wm_lh_S_parieto_occipital',
           '13167': 'wm_lh_S_pericallosal',
           '13168': 'wm_lh_S_postcentral',
           '13169': 'wm_lh_S_precentral-inf-part',
           '13170': 'wm_lh_S_precentral-sup-part',
           '13171': 'wm_lh_S_suborbital',
           '13172': 'wm_lh_S_subparietal',
           '13173': 'wm_lh_S_temporal_inf',
           '13174': 'wm_lh_S_temporal_sup',
           '13175': 'wm_lh_S_temporal_transverse',
           '14100': 'wm_rh_Unknown',
           '14101': 'wm_rh_G_and_S_frontomargin',
           '14102': 'wm_rh_G_and_S_occipital_inf',
           '14103': 'wm_rh_G_and_S_paracentral',
           '14104': 'wm_rh_G_and_S_subcentral',
           '14105': 'wm_rh_G_and_S_transv_frontopol',
           '14106': 'wm_rh_G_and_S_cingul-Ant',
           '14107': 'wm_rh_G_and_S_cingul-Mid-Ant',
           '14108': 'wm_rh_G_and_S_cingul-Mid-Post',
           '14109': 'wm_rh_G_cingul-Post-dorsal',
           '14110': 'wm_rh_G_cingul-Post-ventral',
           '14111': 'wm_rh_G_cuneus',
           '14112': 'wm_rh_G_front_inf-Opercular',
           '14113': 'wm_rh_G_front_inf-Orbital',
           '14114': 'wm_rh_G_front_inf-Triangul',
           '14115': 'wm_rh_G_front_middle',
           '14116': 'wm_rh_G_front_sup',
           '14117': 'wm_rh_G_Ins_lg_and_S_cent_ins',
           '14118': 'wm_rh_G_insular_short',
           '14119': 'wm_rh_G_occipital_middle',
           '14120': 'wm_rh_G_occipital_sup',
           '14121': 'wm_rh_G_oc-temp_lat-fusifor',
           '14122': 'wm_rh_G_oc-temp_med-Lingual',
           '14123': 'wm_rh_G_oc-temp_med-Parahip',
           '14124': 'wm_rh_G_orbital',
           '14125': 'wm_rh_G_pariet_inf-Angular',
           '14126': 'wm_rh_G_pariet_inf-Supramar',
           '14127': 'wm_rh_G_parietal_sup',
           '14128': 'wm_rh_G_postcentral',
           '14129': 'wm_rh_G_precentral',
           '14130': 'wm_rh_G_precuneus',
           '14131': 'wm_rh_G_rectus',
           '14132': 'wm_rh_G_subcallosal',
           '14133': 'wm_rh_G_temp_sup-G_T_transv',
           '14134': 'wm_rh_G_temp_sup-Lateral',
           '14135': 'wm_rh_G_temp_sup-Plan_polar',
           '14136': 'wm_rh_G_temp_sup-Plan_tempo',
           '14137': 'wm_rh_G_temporal_inf',
           '14138': 'wm_rh_G_temporal_middle',
           '14139': 'wm_rh_Lat_Fis-ant-Horizont',
           '14140': 'wm_rh_Lat_Fis-ant-Vertical',
           '14141': 'wm_rh_Lat_Fis-post',
           '14142': 'wm_rh_Medial_wall',
           '14143': 'wm_rh_Pole_occipital',
           '14144': 'wm_rh_Pole_temporal',
           '14145': 'wm_rh_S_calcarine',
           '14146': 'wm_rh_S_central',
           '14147': 'wm_rh_S_cingul-Marginalis',
           '14148': 'wm_rh_S_circular_insula_ant',
           '14149': 'wm_rh_S_circular_insula_inf',
           '14150': 'wm_rh_S_circular_insula_sup',
           '14151': 'wm_rh_S_collat_transv_ant',
           '14152': 'wm_rh_S_collat_transv_post',
           '14153': 'wm_rh_S_front_inf',
           '14154': 'wm_rh_S_front_middle',
           '14155': 'wm_rh_S_front_sup',
           '14156': 'wm_rh_S_interm_prim-Jensen',
           '14157': 'wm_rh_S_intrapariet_and_P_trans',
           '14158': 'wm_rh_S_oc_middle_and_Lunatus',
           '14159': 'wm_rh_S_oc_sup_and_transversal',
           '14160': 'wm_rh_S_occipital_ant',
           '14161': 'wm_rh_S_oc-temp_lat',
           '14162': 'wm_rh_S_oc-temp_med_and_Lingual',
           '14163': 'wm_rh_S_orbital_lateral',
           '14164': 'wm_rh_S_orbital_med-olfact',
           '14165': 'wm_rh_S_orbital-H_Shaped',
           '14166': 'wm_rh_S_parieto_occipital',
           '14167': 'wm_rh_S_pericallosal',
           '14168': 'wm_rh_S_postcentral',
           '14169': 'wm_rh_S_precentral-inf-part',
           '14170': 'wm_rh_S_precentral-sup-part',
           '14171': 'wm_rh_S_suborbital',
           '14172': 'wm_rh_S_subparietal',
           '14173': 'wm_rh_S_temporal_inf',
           '14174': 'wm_rh_S_temporal_sup',
           '14175': 'wm_rh_S_temporal_transverse'}


def open_nii(img_path):
    A = nib.load(img_path)
    return A.get_fdata().astype(int), A.affine


def sendClusterFS(subject, options):
    print(" ** Sending qsub : " + subject["Id"] + "_" + subject["Visit"])
    comm = sys.argv[0] + " -s " + subject["Id"] + "/" + subject["Visit"]
    comm = comm + " -p " + options.process
    name = "ROI_AA_" + subject["Id"] + "_" + subject["Visit"]
    etime = "00:20:00"
    logdir = os.path.join(options.process, "logs_rois_AA")
    createDir(logdir)
    qsub3(comm, name=name, queue="normal", etime=etime, memory="4G",
          logdir=logdir, cpus='4')


MSG = "Extract each region of the brain from the freesurfer parcellation"

if __name__ == "__main__":
    cprint(os.path.basename(sys.argv[0]), attrs=['reverse', 'bold'])
# ---------------------------- Options definitions ----------------------------
    usage = "usage: %prog [opts]"
    parser = ArgumentParser(description=MSG,
                            formatter_class=ArgumentDefaultsHelpFormatter)
    parser.add_argument('-s', '--subjects', dest='subjects',
                        help='Subjects list, if none choices will be provided')
    parser.add_argument("-p", "--process", dest="process",
                        help="Process directory, if none deduced from "
                        "PROJECT_DIR")
    parser.add_argument("-q", "--qsub", action="store_true", dest="qsub")
    options = parser.parse_args()
    init = init_script(options)
    process = init['process']
    subjects = init['subjects']
    if options.qsub:
        options.process = process
        for s in subjects:
            sendClusterFS(s, options)
        sys.exit()
# ------------------------------- processing  ---------------------------------
    for s in subjects:
        cprint('|', 'blue', attrs=['bold'])
# ----------------------------- Start of 1 subject ----------------------------
        print(colored('|', 'blue', attrs=['bold']),
              colored('| ' + s['Id'] + ' ' + s['Visit'] + ': ', 'green',
                      attrs=['bold', 'reverse']))
        visit = os.path.join(process, s['Id'], s['Visit'])
# ------------------------- Defining path to t1ROI ----------------------------
        t1ROI = os.path.join(visit, 't1ROI_V02')
        if not os.path.isdir(t1ROI):
            print(colored('|', 'blue', attrs=['bold']),
                  colored('|', 'green', attrs=['bold']),
                  colored('ERROR: t1ROI NOT FOUND', 'red', attrs=['bold']))
            print(colored('|', 'blue', attrs=['bold']),
                  colored('L', 'green', attrs=['bold']))
            continue
        print(colored('|', 'blue', attrs=['bold']),
              colored('| Directory t1ROI found: ', 'green',
                      attrs=['bold']), t1ROI)
# -------------- Exctracting individual regions of aparc+aseg -----------------
        wmparc = get_regex(t1ROI, 'wmparc.nii.gz', False, False)
        if not wmparc:
            print(colored('|', 'blue', attrs=['bold']),
                  colored('|', 'green', attrs=['bold']),
                  colored('ERROR: aparc+aseg.nii.gz NOT FOUND', 'red',
                          attrs=['bold']))
            print(colored('|', 'blue', attrs=['bold']),
                  colored('L', 'green', attrs=['bold']))
            continue
        wmparc = wmparc[0]
        print(colored('|', 'blue', attrs=['bold']),
              colored('| Found wmparc in nifti:', 'green', attrs=['bold']),
              wmparc)
        data, affine = open_nii(wmparc)
        # Defining each name outputs
        outputdir = changeName(wmparc, '_individual', newext='')
        createDir(outputdir)
        print(colored('|', 'blue', attrs=['bold']),
              colored('| output directory created: ', 'green',
                      attrs=['bold']), outputdir)
        out_data = np.zeros(data.shape)
        for label in np.unique(data):
            print(colored('|', 'blue', attrs=['bold']),
                  colored('| Extracting', 'green', attrs=['bold']),
                  FStable[str(label)])
            label_file = changeName(wmparc, '_' + FStable[str(label)],
                                    outputdir)
            if os.path.isfile(label_file):
                print(colored('|', 'blue', attrs=['bold']),
                      colored('|           Skipping', 'green', attrs=['bold']))
                continue
            out_data[:] = 0
            out_data[data == label] = 1
            out_img = nib.Nifti1Image(out_data.astype('int32'), affine)
            nib.save(out_img, label_file)
# ----------------------------- End of 1 subject ------------------------------
        print(colored('|', 'blue', attrs=['bold']),
              colored('L', 'green', attrs=['bold']))
    cprint('|', 'blue', attrs=['bold'])
    cprint('| Script finished ', 'blue', attrs=['reverse', 'bold'])
    print('')
